<?php

include 'icl/showtemplate.inc.php';

function addtemplate(){
	$templatetypeid=GETVAL('templatetypeid');
	$templatename=SQET('templatename');
		
	global $db;
	
	checkgskey('addtemplate_'.$templatetypeid);
	gsguard($templatetypeid,'templatetypes','templatetypeid');
	
	$query="insert into templates (templatetypeid,templatename) values (?,?) ";
	$rs=sql_prep($query,$db,array($templatetypeid,$templatename));
	$templateid=sql_insert_id($db,$rs)+0;
	
	if (!$templateid) {
		apperror(_tr('error_creating_record'));
	}
	
	$query="select * from templatetypes where templatetypeid=? and activetemplateid>0";
	$rs=sql_prep($query,$db,$templatetypeid);
	if (!$myrow=sql_fetch_assoc($rs)){
		$query="update templatetypes set activetemplateid=? where templatetypeid=?";
		sql_prep($query,$db,array($templateid,$templatetypeid));	
	}

	logaction("added Template #$templateid $templatename",
		array('templateid'=>$templateid,'templatename'=>"$templatename"),
		array('rectype'=>'templatetypetemplates','recid'=>$templatetypeid));
	
	header('newrecid:'.$templateid);
	header('newkey:template_'.$templateid);
	header('newloadfunc: inittemplatetexteditor('.$templateid.');reloadview("codegen.templates","templatelist");refreshtab("templatetype_'.$templatetypeid.'",1);');
	header('newparams:showtemplate&templateid='.$templateid);
	
	showtemplate($templateid);
}

